libglom-1.20 1.20.8

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Glom::LayoutItem_Notebook Class Reference

The child items are LayoutGroups, each of which will be shown on its own tab. More...

Inheritance diagram for Glom::LayoutItem_Notebook:
[legend]
Collaboration diagram for Glom::LayoutItem_Notebook:
[legend]

List of all members.

## Public Member Functions
| LayoutItem_Notebook ()
| LayoutItem_Notebook (const LayoutItem_Notebook& src)
LayoutItem_Notebook& | operator= (const LayoutItem_Notebook& src)
virtual | ~LayoutItem_Notebook ()
virtual LayoutItem* | clone () const
| Create a new copied instance.
virtual Glib::ustring | get_part_type_name () const

## Detailed Description

The child items are LayoutGroups, each of which will be shown on its own tab.

## Constructor & Destructor Documentation

Glom::LayoutItem_Notebook::LayoutItem_Notebook | ( |  | ) |

Glom::LayoutItem_Notebook::LayoutItem_Notebook | ( | const LayoutItem_Notebook& | src | ) |

virtual Glom::LayoutItem_Notebook::~LayoutItem_Notebook | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_Notebook::clone | ( |  | ) | const`[virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Reimplemented from Glom::LayoutGroup.

virtual Glib::ustring Glom::LayoutItem_Notebook::get_part_type_name | ( |  | ) | const`[virtual]`

Reimplemented from Glom::LayoutGroup.

LayoutItem_Notebook& Glom::LayoutItem_Notebook::operator= | ( | const LayoutItem_Notebook& | src | ) |

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/layoutitem_notebook.h